Bug 181533 - Assign interface name to specific MAC address before iface is up
Summary: Assign interface name to specific MAC address before iface is up
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-14 20:44 UTC by Bastien Nocera
Modified: 2018-10-19 19:18 UTC (History)
2 users (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 18:13:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-02-14 20:44:15 UTC
initscripts-8.21-1

Currently the device name <-> MAC address assignment is only done when the
interface is brought up. It would be better if the assignment was done as soon
as the device driver was loaded.

Comment 1 Bill Nottingham 2006-12-07 18:13:45 UTC
This is now done in current Fedora (and the RHEL5 betas) via udev rules. See
/lib/udev/rename_device.


Note You need to log in before you can comment on or make changes to this bug.